import { ModifiedResponse, RequestOptions } from '@segment/actions-core';
import { Payload } from './generated-types';
declare function validateS3(payload: Payload): void;
declare function uploadS3(payload: Payload, filename: string, fileContent: Buffer, request: <Data = unknown>(url: string, options?: RequestOptions) => Promise<ModifiedResponse<Data>>): Promise<ModifiedResponse<unknown>>;
declare function isValidS3Path(key: string): boolean;
declare function normalizeS3Path(path?: string): string | undefined;
declare function isValidS3BucketName(bucketName: string): boolean;
export { validateS3, uploadS3, isValidS3Path, normalizeS3Path, isValidS3BucketName };
